Load a week snapshot template into target weeks (draft roster)
curl --request POST \
--url https://{tenant}.stamp.eu/rest/roster_templates/{rosterTemplate}/load \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target_weeks": [
"2023-11-07T05:31:56Z"
],
"unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"with_staffing": true
}
'import requests
url = "https://{tenant}.stamp.eu/rest/roster_templates/{rosterTemplate}/load"
payload = {
"target_weeks": ["2023-11-07T05:31:56Z"],
"unit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"with_staffing": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target_weeks: ['2023-11-07T05:31:56Z'],
unit_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
with_staffing: true
})
};
fetch('https://{tenant}.stamp.eu/rest/roster_templates/{rosterTemplate}/load', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"<unknown>"
],
"summary": {
"created": 123,
"open": 123,
"absence_conflicts": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Dienstplan-Vorlagen
Vorlage in Wochen laden
POST
/
roster_templates
/
{rosterTemplate}
/
load
Load a week snapshot template into target weeks (draft roster)
Authorizations
Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).
Path Parameters
The roster template ID
Body
application/json
⌘I